<div id="pageAllClubs">
    <h1 class="banners-header all-clubs-heading"><?=__('alle_clubs')?></h1>
    <?php

    $zones = Model_ixsBanners::getAllclubs();
    
    shuffle($zones);
   


    //$all_banners = array();

    //foreach( $banners_1 as $banners ){
    //    print_r( $banners );
    //    $all_banners = array_merge( $all_banners, $banners );
    //}
    //
    //print_r( $all_banners );

    //$banners_2 = Model_Banners::getAll_175_125();
    //$banners_3 = Model_Banners::getAll_175_250();
    //$banners_4 = Model_Banners::getAll_175_375(); $i = 1;
    //$banners = array_merge( $banners_1, $banners_2, $banners_3, $banners_4 );
    ?>
    <div class="club-banners">
       <? $unique_hashes = array();?>
       <? $unique_links = array();?>
        <?php foreach( $zones as $key => $zone ): ?>
            <? if( $banners = Model_ixsBanners::get($zone) ):  ?>
                     
                    <? foreach($banners as $banner): ?>
                        <? if(in_array($banner->md5_hash, $unique_hashes)){continue;}?>
                        <? if(in_array($banner->link, $unique_links)){continue;}?>
                        <? $unique_hashes[] = $banner->md5_hash; ?>
                        <? $unique_links[] = $banner->link; ?>
                        <? $banner_sizes = explode('x', $banner->size); ?>
                         <a rel="nofollow" class="ixsHitBtn" target="_blank" goto="https://www.ixspublic.com/hits.php?adv=<?= $banner->user_id ?>&cmp=<?= $banner->cmp_id ?>&z=<?= $banner->ixs_id ?>&b=<?= $banner->banner_id ?>&go=<?= $banner->link ?>" href="<?= $banner->link ?>"><img alt="" title="<?= $banner->title ?>" width="<?= $banner_sizes[0] ?>" height="<?= $banner_sizes[1] ?>" src="<?= $this->getLink('ixs-banner-url',array('filename' => $banner->filename), true ) ?>">
                            <img width="1" height="1" style="cursor: pointer; position: absolute; left: 0px; top: 0px; visibility: hidden; width: 0px; height: 0px;" src="https://www.ixspublic.com/views.php?adv=<?= $banner->user_id ?>&cmp=<?= $banner->cmp_id ?>&z=<?= $banner->ixs_id ?>&b=<?= $banner->banner_id ?>"></a>
                    <? endforeach; ?> 
                    
            <? endif; ?>
        <?php  endforeach; ?>
       
        <? unset($unique_hashes);  ?>
        <? unset($unique_links);  ?>
    </div>
</div>